Summary:	tcptrack - console based application which displays information about TCP connections
Summary(pl.UTF-8):	tcptrack - konsolowa aplikacja pokazująca informacje o połączeniach TCP
Name:		tcptrack
Version:	1.4.0
Release:	3
License:	GPL v2
Group:		Applications/Networking
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	c177a4f170eefb2c3719965694496228
Patch0:		%{name}-gcc4.patch
Patch1:		%{name}-Werror.patch
URL:		http://www.rhythm.cx/~steve/devel/tcptrack/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tcptrack is a sniffer which displays information about TCP connections
it sees on a network interface. It passively watches for connections
on the network interface, keeps track of their state and displays a
list of connections in a manner similar to the Unix 'top' command. It
displays source and destination addresses and ports, connection state,
idle time, and bandwidth usage.

%description -l pl.UTF-8
tcptrack jest sniferem pokazującym informacje o połączeniach TCP,
które widzi na żądanym interfejsie. Wyświetla informacje na temat
stanu połączenia w formie listy podobnej do programu top. Pokazuje
adres źródłowy i docelowy, porty, stan połączenia, czas bezczynności i
zużycie pasma.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoheader}
#%{__autoconf}
#%{__automake}
CXXFLAGS="%{rpmcflags} -fexceptions -I/usr/include/ncurses"
%configure

%{__make} \
	LDADD="-ltinfo"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tcptrack.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b6a4b8a
- ncurses rebuild
- release 3 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 98e04d2
- release 2

* Fri Jul 01 2011 marti <marti@pld-linux.org> 9d76578
- source updates

* Fri Jul 01 2011 marti <marti@pld-linux.org> 715744a
- no original source avaliable

* Fri Jul 01 2011 marti <marti@pld-linux.org> ee454d7
- up to 1.4.0

* Fri Jul 01 2011 marti <marti@pld-linux.org> 43b0ba1
- patch to disable -Werror in 1.4.0

* Thu Jan 06 2011 sparky <sparky@pld-linux.org> 92b8455
- hack to fix build with --no-add-needed ldflag (configure is
  completely broken)

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 580c659
- release 3

* Fri Oct 03 2008 Paweł Sikora <pluto@pld-linux.org> 10ccfd7
- build fixed, release 2.

* Fri Oct 03 2008 Paweł Sikora <pluto@pld-linux.org> 97af00b
- add missed prototypes for mem*fns().

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 09b3c7a
- up to 1.3.0

* Thu Feb 07 2008 ankry <ankry@pld-linux.org> 505d38e
- unix -> Unix

* Sun Jul 29 2007 Tomasz Pala <gotar@pld-linux.org> cbd63ca
- upgraded to 1.2.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d40941d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b42277c
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 45cb558
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

* Sat Mar 26 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cc5444
- up to 1.1.5

* Mon Feb 14 2005 Adam Gołębiowski <adamg@pld-linux.org> b678e6d
- %%doc some more files - from Marcin Baniasiuk (mailinggroup (at) o2.pl)

* Sat Dec 04 2004 zbyniu <zbyniu@pld-linux.org> 60bedf4
- BR: autoconf, automake, libstdc++-devel

* Wed Nov 03 2004 ankry <ankry@pld-linux.org> 64e2489
- typo

